org.apache.cassandra.cql3.selection

## Class Selectable.Raw

- java.lang.Object
- - org.apache.cassandra.cql3.selection.Selectable.Raw

Direct Known Subclasses:
  ColumnDefinition.Raw, Selectable.WithCast.Raw, Selectable.WithFieldSelection.Raw, Selectable.WithFunction.Raw, Selectable.WithTerm.Raw, Selectable.WritetimeOrTTL.Raw

Enclosing interface:
  Selectable

    public abstract static class Selectable.Raw
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Raw()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract Selectable` `prepare(CFMetaData cfm)`
`boolean` `processesSelection()` Returns true if any processing is performed on the selected column.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Raw

    public Raw()

### Method Detail

#### prepare

    public abstract Selectable prepare(CFMetaData cfm)

#### processesSelection

    public boolean processesSelection()

Returns true if any processing is performed on the selected column.